Subject: RE: VPLS full-mesh issues

From: "Naidu, Venkata" <[email-masked]>
Date: Mon, 2 Feb 2004 15:02:26 -0500

Vach,
 
  [ CC'ing to RTG-BFD list, because I found this related ]

-> Question 1: important issue worthy of our cycles, or not?

  Yes. It is an important issue to consider.
 
-> Question 2: "discover" connectivity issues or "discover and repair"?

  In my opinion, this fully-connected and strongly-connected 
  graph synchrony is required by many protocols (mostly for routing 
  protocols) - not just VPLS. If known, communication complexity 
  (number of message overhead) can be reduced by using well
  established distributed algorithms (in asynchronous problem 
  space).

  For now, VPLS can have some provisioning to discover connectivity
  issues in full-mesh topology. But, in general, a separate protocol like
  http://www.ietf.org/internet-drafts/draft-katz-ward-bfd-v4v6-1hop-00.txt
  is good to start with.

  If BFD can figure out the link bi-directional connectivity,
  any higher-level protocol knowing the full-mesh diameter can 
  compute which of the links went down by flooding, leader-election 
  or BFS spanning tree methods.

Venkata.